65% of companies are contributing to open source projects
==========================================================

![](https://opensource.com/sites/default/files/styles/image-full-size/public/images/business/BUSINESS_openseries.png?itok=s7lXChId)

This year marks the 10th annual Future of Open Source Survey to examine trends in open source, hosted by Black Duck and North Bridge. The big takeaway from the survey this year centers around the mainstream acceptance of open source today and how much has changed over the last decade.

The [2016 Future of Open Source Survey][1] analyzed responses from nearly 3,400 professionals. Developers made their voices heard in the survey this year, comprising roughly 70% of the participants. The group that showed exponential growth were security professionals, whose participation increased by over 450%. Their participation shows the increasing interest in ensuring that the open source community pays attention to security issues in open source software and securing new technologies as they emerge. 

Black Duck's [Open Source Rookies][2] of the Year awards identify some of these emerging technologies, like Docker and Kontena in containers. Containers themselves have seen huge growth this year–76% of respondents say their company has some plans to use containers. And an amazing 59% of respondents are already using containers in a variety of deployments, from development and testing to internal and external production environment. The developer community has embraced containers as a way to get their code out quickly and easily.

It's not surprising that the survey shows a miniscule number of organizations having no developers contributing to open source software. When large corporations like Microsoft and Apple open source some of their solutions, developers gain new opportunities to participate in open source. I certainly hope this trend will continue, with more software developers contributing to open source projects at work and outside of work.

### Highlights from the 2016 survey

#### Business value

* Open source is an essential element in development strategy with more than 65% of respondents relying on open source to speed development.
* More than 55% leverage open source within their production environments.

#### Engine for innovation

* Respondents reported use of open source to drive innovation through faster, more agile development; accelerated time to market and vastly superior interoperability.
* Additional innovation is afforded by open source's quality of solutions; competitive features and technical capabilities; and ability to customize.

#### Proliferation of open source business models and investment

* More diverse business models are emerging that promise to deliver more value to open source companies than ever before. They are not as dependent on SaaS and services/support.
* Open source private financing has increased almost 4x in five years.

#### Security and management

The development of best-in-class open source security and management practices has not kept pace with growth in adoption. Despite a proliferation of expensive, high-profile open source breaches in recent years, the survey revealed that:

* 50% of companies have no formal policy for selecting and approving open source code.
* 47% of companies don’t have formal processes in place to track open source code, limiting their visibility into their open source and therefore their ability to control it.
* More than one-third of companies have no process for identifying, tracking or remediating known open source vulnerabilities.

#### Open source participation on the rise

The survey revealed an active corporate open source community that spurs innovation, delivers exponential value and shares camaraderie:

* 67% of respondents report actively encouraging developers to engage in and contribute to open source projects.
* 65% of companies are contributing to open source projects.
* One in three companies have a fulltime resource dedicated to open source projects.
* 59% of respondents participate in open source projects to gain competitive edge.

Black Duck and North Bridge learned a great deal this year about security, policy, business models and more from the survey, and we’re excited to share these findings. Thank you to our many collaborators and all the respondents for taking the time to take the survey. It’s been a great ten years, and I am happy that we can safely say that the future of open source is full of possibilities. 

Learn more, see the [full results][3].

--------------------------------------------------------------------------------

via: https://opensource.com/business/16/5/2016-future-open-source-survey

作者：[Haidee LeClair][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

[a]: https://opensource.com/users/blackduck2016
[1]: http://www.slideshare.net/blackducksoftware/2016-future-of-open-source-survey-results
[2]: https://info.blackducksoftware.com/OpenSourceRookies2015.html
[3]: http://www.slideshare.net/blackducksoftware/2016-future-of-open-source-survey-results%C2%A0
