5 个适合课堂教学的树莓派项目
================================================================================
![](https://opensource.com/sites/default/files/styles/image-full-size/public/images/life/osdc-open-source-yearbook-lead3.png)

图片来源 : opensource.com

### 1. Minecraft Pi ###

![](https://opensource.com/sites/default/files/lava.png)

上图由树莓派基金会提供。遵循 [CC BY-SA 4.0.][1] 协议。

Minecraft（我的世界）几乎是世界上每个青少年都极其喜爱的游戏 —— 在吸引年轻人注意力方面，它也是最具创意的游戏之一。伴随着每一个树莓派的游戏版本不仅仅是一个关于创造性思维的建筑游戏，它还带有一个编程接口，允许使用者通过 Python 代码来与 Minecraft 世界进行互动。

对于教师来说，Minecraft: Pi 版本是一个鼓励学生们解决遇到的问题以及通过书写代码来执行特定任务的极好方式。你可以使用 Python API
 来建造一所房子，让它跟随你到任何地方；或在你所到之处修建一座桥梁；又或者是下一场岩溶雨；或在天空中显示温度；以及其他任何你能想像到的事物。

可在 "[Minecraft Pi 入门][2]" 中了解更多相关内容。

### 2. 反应游戏和交通指示灯 ###

![](https://opensource.com/sites/default/files/pi_traffic_installed_yellow_led_on.jpg)

上图由 [Low Voltage Labs][3] 提供。遵循 [CC BY-SA 4.0][1] 协议。

在树莓派上进行物理计算是非常容易的 —— 只需将 LED 灯 和按钮连接到 GPIO 针脚上，再加上少量的代码，你就可以点亮 LED 灯并通过按按钮来控制物体。一旦你知道来执行基本操作的代码，下一步就可以随你的想像那样去做了！

假如你知道如何让一盏灯闪烁，你就可以让三盏灯闪烁。选出三盏交通灯颜色的 LED 灯，你就可以编程出交通灯闪烁序列。假如你知道如何使用一个按钮来触发一个事件，然后你就有一个人行横道了！同时，你还可以找到诸如 [PI-TRAFFIC][4]、[PI-STOP][5]、[Traffic HAT][6] 等预先构建好的交通灯插件。

这不总是关于代码的 —— 它还可以被用来作为一个的练习，用以理解真实世界中的系统是如何被设计出来的。计算思维在生活中的各种情景中都是一个有用的技能。

![](https://opensource.com/sites/default/files/reaction-game.png)

上图由树莓派基金会提供。遵循 [CC BY-SA 4.0][1] 协议。

下面尝试将两个按钮和一个 LED 灯连接起来，来制作一个二人制反应游戏 —— 让灯在一段随机的时间中点亮，然后看谁能够先按到按钮！

想了解更多的话，请查看 [GPIO 新手指南][7]。你所需要的尽在 [CamJam EduKit 1][8]。

### 3. Sense HAT 像素宠物 ###

Astro Pi— 一个增强版的树莓派 —将于今年 12 月（注：应该是去年的事了。）问世，但你并没有错过让你的手玩弄硬件的机会。Sense HAT 是一个用在 Astro Pi 任务中的感应器主板插件，且任何人都可以买到。你可以用它来做数据收集、科学实验、游戏或者更多。 观看下面这个由树莓派的 Carrie Anne 带来的 Gurl Geek Diaries 录像来开始一段美妙的旅程吧 —— 通过在 Sense HAT 的显示器上展现出你自己设计的一个动物像素宠物：

注：youtube 视频
<iframe width="520" height="315" frameborder="0" src="https://www.youtube.com/embed/gfRDFvEVz-w" allowfullscreen=""></iframe>

在 "[探索 Sense HAT][9]" 中可以学到更多。

### 4. 红外鸟箱 ###

![](https://opensource.com/sites/default/files/ir-bird-box.png)
上图由 [Low Voltage Labs][3] 提供。遵循 [CC BY-SA 4.0][1] 协议。

让全班所有同学都能够参与进来的一个好的练习是 —— 在一个鸟箱中沿着某些红外线放置一个树莓派和 NoIR 照相模块，这样你就可以在黑暗中观看，然后通过网络或在网络中你可以从树莓派那里获取到视频流。等鸟进入笼子，然后你就可以在不打扰到它们的情况下观察它们。

在这期间，你可以学习到所有关于红外和光谱的知识，以及如何用软件来调整摄像头的焦距和控制它。

在 "[制作一个红外鸟箱][10]" 中你可以学到更多。

### 5. 机器人 ###

![](https://opensource.com/sites/default/files/edukit3_1500-alex-eames-sm.jpg)

上图由 Low Voltage Labs 提供。遵循 [CC BY-SA 4.0][1] 协议。

拥有一个树莓派，一些感应器和一个感应器控制电路板，你就可以构建你自己的机器人。你可以制作各种类型的机器人，从用透明胶带和自制底盘组合在一起的简易四驱车，一直到由游戏控制器驱动的具有自我意识，带有传感器和摄像头的金属马儿。

学习如何直接去控制单个的发动机，例如通过 RTK Motor Controller Board (£8/$12)，或者尝试新的 CamJam robotics kit (£17/$25) ，它带有发动机、轮胎和一系列的感应器 — 这些都很有价值并很有学习的潜力。

另外，如何你喜欢更为骨灰级别的东西，可以尝试 PiBorg 的 [4Borg][11] (£99/$150) 或 [DiddyBorg][12] (£180/$273) 或者一干到底，享受他们的 DoodleBorg 金属版 (£250/$380) — 并构建一个他们声名远扬的 [DoodleBorg tank][13]（很不幸的时，这个没有卖的） 的迷你版。

另外请参考 [CamJam robotics kit worksheets][14]。

--------------------------------------------------------------------------------

via: https://opensource.com/education/15/12/5-great-raspberry-pi-projects-classroom

作者：[Ben Nuttall][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/bennuttall
[1]:https://creativecommons.org/licenses/by-sa/4.0/
[2]:https://opensource.com/life/15/5/getting-started-minecraft-pi
[3]:http://lowvoltagelabs.com/
[4]:http://lowvoltagelabs.com/products/pi-traffic/
[5]:http://4tronix.co.uk/store/index.php?rt=product/product&product_id=390
[6]:https://ryanteck.uk/hats/1-traffichat-0635648607122.html
[7]:http://pythonhosted.org/gpiozero/recipes/
[8]:http://camjam.me/?page_id=236
[9]:https://opensource.com/life/15/10/exploring-raspberry-pi-sense-hat
[10]:https://www.raspberrypi.org/learning/infrared-bird-box/
[11]:https://www.piborg.org/4borg
[12]:https://www.piborg.org/diddyborg
[13]:https://www.piborg.org/doodleborg
[14]:http://camjam.me/?page_id=1035#worksheets
